This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 851821 - [abrt] wicd-gtk-1.7.2.1-2.fc17: wicd-client.py:752:_trigger_scan_if_needed:AttributeError: 'NoneType' object has no attribute 'Scan'
[abrt] wicd-gtk-1.7.2.1-2.fc17: wicd-client.py:752:_trigger_scan_if_needed:At...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: wicd (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
abrt_hash:cd98455b501836bc51f2fd24ead...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-25 21:19 EDT by Mark
Modified: 2014-03-13 14:43 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-14 14:05:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
wicd crash log (11.58 KB, text/plain)
2013-04-28 10:42 EDT, David
no flags Details

  None (edit)
Description Mark 2012-08-25 21:19:52 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
cmdline:        /usr/bin/python -O /usr/share/wicd/gtk/wicd-client.py --tray
comment:        when I wanna connect to my wireless network
executable:     /usr/share/wicd/gtk/wicd-client.py
kernel:         3.5.2-3.fc17.i686.PAE
time:           Sun 26 Aug 2012 09:18:41 AM HKT
uid:            1000
username:       jak

backtrace:
:wicd-client.py:752:_trigger_scan_if_needed:AttributeError: 'NoneType' object has no attribute 'Scan'
:
:Traceback (most recent call last):
:  File "/usr/share/wicd/gtk/wicd-client.py", line 90, in wrapper
:    return func(*args, **kwargs)
:  File "/usr/share/wicd/gtk/wicd-client.py", line 752, in _trigger_scan_if_needed
:    wireless.Scan(False)
:AttributeError: 'NoneType' object has no attribute 'Scan'
:
:Local variables in innermost frame:
:item: <gtk.ImageMenuItem object at 0x892ca7c (GtkImageMenuItem at 0x86b7a60)>
:self: <StatusTrayIconGUI object at 0x892cb94 (GtkStatusIcon at 0x89a5a38)>
Comment 1 Mark 2012-08-30 00:31:00 EDT
cannot connect to my wireless network.

Package: wicd-gtk-1.7.2.1-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 2 David Cantrell 2012-10-23 10:22:18 EDT
Is wicd-daemon running?  How did you enable wicd before running the client?
Comment 3 David 2013-04-28 10:36:19 EDT
Just happened to me after uninstalling NetworkManager and installing wicd on reboot. Just to be sure, I launched it manually:

# wicd-gtk

and now it works. I have saved the log prior to relaunching, I am attaching it.
Comment 4 David 2013-04-28 10:42:51 EDT
Created attachment 741170 [details]
wicd crash log

Fedora 18. New install of wicd, log corresponding to crash on start.

Note You need to log in before you can comment on or make changes to this bug.